## org.eclipse.datatools.sqltools.routineeditor.ui.actions
Class DoubleClickActionProvider

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.ui.navigator.CommonActionProvider
              org.eclipse.datatools.sqltools.routineeditor.ui.actions.DoubleClickActionProvider

All Implemented Interfaces:
  org.eclipse.ui.navigator.IMementoAware

Direct Known Subclasses:
  ASAUserDefinedTypeDoubleClickActionProvider, DoubleClickActionProviderExt

    public class DoubleClickActionProvider

extends org.eclipse.ui.navigator.CommonActionProvider

Author:
  David Cui

Constructor Summary
`DoubleClickActionProvider()`

Method Summary
`void` `fillActionBars(org.eclipse.ui.IActionBars actionBars)`
`void` `init(org.eclipse.ui.navigator.ICommonActionExtensionSite aSite)`

Methods inherited from class org.eclipse.ui.navigator.CommonActionProvider
`restoreState, saveState`

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`dispose, fillContextMenu, getContext, setContext, updateActionBars`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleClickActionProvider

    public DoubleClickActionProvider()

Method Detail

### init

    public void init(org.eclipse.ui.navigator.ICommonActionExtensionSite aSite)

  Overrides:
    `init` in class `org.eclipse.ui.navigator.CommonActionProvider`

### fillActionBars

    public void fillActionBars(org.eclipse.ui.IActionBars actionBars)

  Overrides:
    `fillActionBars` in class `org.eclipse.ui.actions.ActionGroup`